=== templates/CMakeLists.txt ===
set(apptemplate_DIRS kirigami)

kde_package_app_templates(TEMPLATES ${apptemplate_DIRS} INSTALL_DIR ${KDE_INSTALL_KTEMPLATESDIR})
