=== debian/changelog ===
kirigami2 (5.68.0-0ubuntu2) focal; urgency=medium

  * Add kubuntu_revert-commit-9b7cae89.patch (LP: #1869280)

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Mar 2020 23:25:45 +0000

kirigami2 (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:58 +0000

kirigami2 (5.67.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2020 22:51:47 +0000

kirigami2 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:43 +0000

kirigami2 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:37 +0000

kirigami2 (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:49 +0000

kirigami2 (5.64.1-0ubuntu2) focal; urgency=medium

  * Drop transitional kirigami-gallery package.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2019 15:46:47 +0000

kirigami2 (5.64.1-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release (5.64.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2019 15:37:00 +0000

kirigami2 (5.64.0a-0ubuntu1) focal; urgency=medium

  * Install template for Kirigami application development.
  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:55 +0000

kirigami2 (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Disable autopkgtest (Closes: 901746)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2019 09:00:44 +0000
