## kirigami2 5.74.0

=== debian/changelog ===
kirigami2 (5.74.0-0ubuntu2) groovy; urgency=medium

  * Add upstream patch to fix plasma-discover settings page crash.
    - debian/patches: upstream_fix-kde-bug-425670.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Sep 2020 19:42:46 +0100

kirigami2 (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:35 +0100

kirigami2 (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:34 +0100

kirigami2 (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:12 +0100

kirigami2 (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Drop included upstream_fix-qtquicklayouts-import.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:49 +0100

kirigami2 (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - debian/patches:
      + kubuntu_revert-commit-9b7cae89.patch
      + upstream_fix-qtquicklayouts-import.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 00:56:39 +0100

kirigami2 (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:35 +0200

kirigami2 (5.70.0-0ubuntu2) groovy; urgency=medium

  * Add uptream_fix-qtquicklayouts-import.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 27 May 2020 17:28:16 +0100

kirigami2 (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:27 +0100

kirigami2 (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Delete not needed Breaks/Confilcts.
  * Add symbols file for libkf5kirigami2-5.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove backported patches.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:55:46 +0200

kirigami2 (5.62.0-2) unstable; urgency=medium

  * New revision
  * Add new upstream patch: fix-compatibility-with-Qt5.11.patch.
    Thanks to Matthieu Gallien (Closes: 940939)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Sep 2019 10:52:03 -0700

kirigami2 (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:05 -0700

kirigami2 (5.61.0-1) experimental; urgency=medium

  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:40 +0100
