=== debian/control ===
--- 
+++ 
@@ -3,25 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-icon-theme (>= 4:5.68.0~),
-               cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: breeze-icon-theme (>= 4:5.74.0~),
+               cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               kpackagetool5 (>= 5.68.0~),
-               libkf5doctools-dev (>= 5.68.0~),
-               libqt5svg5-dev (>= 5.8.0~),
+               kpackagetool5 (>= 5.74.0~),
+               libkf5doctools-dev (>= 5.74.0~),
+               libqt5svg5-dev (>= 5.12.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qtquickcontrols2-5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
+               qtdeclarative5-dev (>= 5.12.0~),
+               qtquickcontrols2-5-dev (>= 5.12.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.7),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://cgit.kde.org/kirigami.git/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+Rules-Requires-Root: no
 
 Package: kirigami2-dev
 Architecture: any
@@ -45,8 +46,8 @@
  This package contains the development files.
 
 Package: libkf5kirigami2-5
+Section: libs
 Architecture: any
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -63,9 +64,9 @@
  This package contains the library.
 
 Package: libkf5kirigami2-doc
+Section: doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: set of QtQuick components targeted for mobile use (documentation)
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -91,7 +92,7 @@
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
  mobile use (in the future desktop as well) targeting both Plasma
