=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -28,5 +28,10 @@
     tst_pagerow.qml
     tst_icon.qml
     tst_actiontoolbar.qml
+    tst_pagerouter.qml
+    tst_routerwindow.qml
+    tst_avatar.qml
+    pagepool/tst_pagepool.qml
+    pagepool/tst_layers.qml
 )
