=== debian/changelog ===
kirigami2 (5.78.0-3) unstable; urgency=medium

  * Include upstream fix for crashing systemsettings.

 -- Norbert Preining <norbert@preining.info>  Sat, 23 Jan 2021 00:01:33 +0900

kirigami2 (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:22 +0900

kirigami2 (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kirigami2 (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

kirigami2 (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Drop upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

kirigami2 (5.74.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 6eaefba5001445fa7e198e4caa0bde738240d66f to fix a
    crash; patch
    upstream_Remove-actions-and-delegates-from-ToolBarLayout-when.patch.
  * Remove the unused autopkgtest stuff.
  * Do not enable the examples, as we do not ship them anyway:
    - drop the -DBUILD_EXAMPLES=ON cmake parameter
    - drop debian/not-installed, no more needed now
  * Add the qml-module-qtquick-layouts dependency in
    qml-module-org-kde-kirigami2, needed for some components. (Closes: #934404)
  * Remove unused debian/kirigami-gallery.lintian-overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Nov 2020 21:06:14 +0100

kirigami2 (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:20 +0200

kirigami2 (5.74.0-1) experimental; urgency=medium


  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:52 +0200
