=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kirigami2
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-icon-theme (>= 4:5.74.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
+Build-Depends: breeze-icon-theme,
                cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
-               kpackagetool5 (>= 5.74.0~),
-               libkf5doctools-dev (>= 5.74.0~),
-               libqt5svg5-dev (>= 5.12.0~),
+               kpackagetool5,
+               libkf5doctools-dev,
+               libqt5svg5-dev (>= 5.14.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~),
-               qtquickcontrols2-5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~),
+               qtquickcontrols2-5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.7),
-Standards-Version: 4.5.0
-Homepage: https://cgit.kde.org/kirigami.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+               qttools5-dev-tools (>= 5.7)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kirigami
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami.git
 Rules-Requires-Root: no
 
 Package: kirigami2-dev
@@ -29,7 +30,7 @@
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
          qml-module-org-kde-kirigami2 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5kirigami2-doc (>= ${source:Version})
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -85,10 +86,10 @@
 Package: qml-module-org-kde-kirigami2
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
-         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
          ${misc:Depends},
