## kirigami2 5.80.0

=== debian/changelog ===
kirigami2 (5.80.0-0ubuntu3) hirsute; urgency=medium

  * Fix copypasta error with lto !symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Mar 2021 19:27:19 +0100

kirigami2 (5.80.0-0ubuntu2) hirsute; urgency=medium

  * Mark symbols as optional that are not seen when building with lto.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Mar 2021 19:07:29 +0100

kirigami2 (5.80.0-0ubuntu1) hirsute; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.80.0)
  * Update symbols

  [ Rik Mills ]
  * Update symbols for riscv64.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:15 +0000

kirigami2 (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)
  * Drop included upstream patch.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:17 +0000

kirigami2 (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Kirigami qml module depends on qml-module-org-kde-kquickcontrolsaddons,
      as required by the qml imports.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Jan 2021 12:35:53 +0000

kirigami2 (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:46 +0000

kirigami2 (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Kirigami qml module depends on qml-module-org-kde-kquickcontrolsaddons,
      as required by the qml imports.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 18:57:13 +0000

kirigami2 (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:10:40 +0000

kirigami2 (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Delete upstream_fix-kde-bug-425670.patch, applied upstream
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:10 +0000
