=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: breeze-icon-theme,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: breeze-icon-theme (>= 4:5.80.0~),
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               kpackagetool5,
-               libkf5doctools-dev,
+               kpackagetool5 (>= 5.80.0~),
+               libkf5doctools-dev (>= 5.80.0~),
                libqt5svg5-dev (>= 5.14.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
-               qtquickcontrols2-5-dev (>= 5.14.0~),
+               qtquickcontrols2-5-dev (>= 5.13.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.7)
+               qttools5-dev-tools (>= 5.7),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kirigami
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
 Rules-Requires-Root: no
 
 Package: kirigami2-dev
@@ -30,7 +30,7 @@
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
          qml-module-org-kde-kirigami2 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5kirigami2-doc (>= ${source:Version})
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -86,6 +86,7 @@
 Package: qml-module-org-kde-kirigami2
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
+         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
@@ -93,7 +94,7 @@
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
  mobile use (in the future desktop as well) targeting both Plasma
