## kirigami2 5.86.0

=== debian/changelog ===
kirigami2 (5.86.0-0ubuntu2) impish; urgency=medium

  * Add upstream bugfix patch:
    - d/p/upstream_fix-ScrollViewKCMs.patch
      https://bugs.kde.org/442660

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Oct 2021 16:04:54 +0100

kirigami2 (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:24 +0100

kirigami2 (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * New build depend on qtbase5-private-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:27:35 +0100

kirigami2 (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:00:38 +0100

kirigami2 (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:35 +0100

kirigami2 (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:18 +0100

kirigami2 (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:45 +0100
