=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: breeze-icon-theme (>= 4:5.80.0~),
+Build-Depends: breeze-icon-theme (>= 4:5.86.0~),
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               kpackagetool5 (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
+               kpackagetool5 (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
                libqt5svg5-dev (>= 5.14.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
+               qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.14.0~),
                qtquickcontrols2-5-dev (>= 5.13.0~),
                qttools5-dev,
